pydo.databases.get_sql_mode()

Generated on 4 Jun 2026 from pydo version v0.35.0

Usage

client.databases.get_sql_mode(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

To retrieve the configured SQL modes for an existing MySQL cluster, send a GET request to /v2/databases/{database_cluster_uuid}/sql_mode. The response will be a JSON object with a sql_mode key. This will be set to a string representing the configured SQL modes.

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.get_sql_mode(database_cluster_uuid="90abaa8")

Response Example

Show Response Example
{
  "sql_mode": "ANSI,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION,NO_ZERO_DATE,NO_ZERO_IN_DATE,STRICT_ALL_TABLES"
}

More Information

See /v2/databases/{database_cluster_uuid}/sql_mode in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.